Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Wed 27 Aug 2014, 17:12
All times are UTC - 4
 Forum index » House Training » Beginners Help ( Start Here)
Firefox 9 -- next version, same game as FF 8
Moderators: Flash, Ian, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 3 of 5 [67 Posts]   Goto page: Previous 1, 2, 3, 4, 5 Next
Author Message
willem1940NLD

Joined: 06 Jul 2010
Posts: 205
Location: Sittard, Limburg, The Netherlands

PostPosted: Sat 07 Jan 2012, 22:50    Post subject:  

Also, "more pets" out of reach now in petget.

Offside: why are several of such and other important pets missing in 525/Lucid package manager ..... e.g, Startmount, Guvcview ..... ?
Back to top
View user's profile Send private message MSN Messenger 
willem1940NLD

Joined: 06 Jul 2010
Posts: 205
Location: Sittard, Limburg, The Netherlands

PostPosted: Sun 08 Jan 2012, 01:05    Post subject:  

Things are worsening.

Couldnt use "click" links given in chats, they only open my home page in browser.

Uninstalled Firefox9 and found Firefox4 disappeared from petget & package manager; picked offered No.7 instead, working fairly well.

But: Install_crashplayer(flashplayer) dead, no use trying de/re-install; it pretends to install but does no more appear in menu.

I am getting annoyed wiping and re-installing puppy 525 almost daily.

BBL
Back to top
View user's profile Send private message MSN Messenger 
bigpup


Joined: 11 Oct 2009
Posts: 5096
Location: Charleston S.C. USA

PostPosted: Sun 08 Jan 2012, 19:47    Post subject:  

willem1940NLD,

Is there some reason you have not moved to Lucid Puppy 5.2.8.004.
It is much improved over Puppy 525.

Get mad at Firefox for their screwed up Linux update.

_________________
I have found, in trying to help people, that the things they do not tell you, are usually the clue to solving the problem.
When I was a kid I wanted to be older.... This is not what I expected Shocked
Back to top
View user's profile Send private message 
willem1940NLD

Joined: 06 Jul 2010
Posts: 205
Location: Sittard, Limburg, The Netherlands

PostPosted: Mon 09 Jan 2012, 02:37    Post subject:  

bigpup wrote:
willem1940NLD,

Is there some reason you have not moved to Lucid Puppy 5.2.8.004.
It is much improved over Puppy 525.

Get mad at Firefox for their screwed up Linux update.
528 main problem, several upgrades as well as clean installs tried: it killed my Alsa sound within 3 reboots, repeated setup of no use. Even speaker icon in tray bottom right never returned.

Fighting again with Slacko 531 now, 3rd clean re-install; cannot get Libreoffice working, it just doesn't open up for me. Borrowed 1.6 java Lupu pet installed without comments but is of no help. Slacko further works fine, using (lupu) Pidgin pet 2.1. I find it stable so far and pleasantly quick even with full Ext3 format on stick USB1. It uses Seamonkey pre-installed. Would like to keep Slacko but I need Office.

Now thinking about again a new install 525 and trying a different browser, before having any traces of firefox on board.

Might all this keep failing then I will give 431 a new try.
Back to top
View user's profile Send private message MSN Messenger 
RetroTechGuy


Joined: 15 Dec 2009
Posts: 2668
Location: USA

PostPosted: Mon 09 Jan 2012, 02:47    Post subject:  

willem1940NLD wrote:
Now thinking about again a new install 525 and trying a different browser, before having any traces of firefox on board.

Might all this keep failing then I will give 431 a new try.


I found that 5.20 was less power-hogging than 4.3.1 Had tried the earlier 5.x series, but they weren't inspiring enough to make me upgrade from my working 4.3.1.

5.20 made me jump right on board (and it worked so well, that I was hesitant to upgrade to 5.28 -- but I broke my 5.20 save file, and figured I give it a try).

Only recently upgraded from 5.20 to 5.28 (since I have frugal installs, I still have 5.20 laying around on several machines).

Put 5.25 on a really old laptop, which seems to work well (light memory load, which is good for that old critter). It had 4.3.1 Retro previously, but that was hardware intensive also. 4.12 worked pretty well on it.

But you shouldn't have to go back that far...

Don't recall if you mentioned it, but what's your hardware? Relatively new, isn't it? (i.e. > 1 GHz processor, etc).

_________________
Add swapfile
Back to top
View user's profile Send private message 
willem1940NLD

Joined: 06 Jul 2010
Posts: 205
Location: Sittard, Limburg, The Netherlands

PostPosted: Mon 09 Jan 2012, 03:46    Post subject:  

I use a rather old tower 995MHz 1GB RAM. Mainboard apparently has an IDE problem because suddenly I cannot use harddisks anymore which it maybe kills itself because at interchanging with harddisks from another computer (435MHz) the problem was present in both.

USB still works, a bit tricky as I had to find out, because it accepts an OS to start with only from the original 2 USB1 entrances, so I can only start using slow USB1 although I can very well install or save very quickly to an extra USB2 pci card 5-entrances.

I have to use CD for first seconds booting to start as the bios gives no facility to boot directly from USB.

I am planning to find some new hardware, booting from USB2 or USB3, large RAM support (8GB or better) and no harddisk. Passive cooling, no ventilators. Stuff of the kind seems to be scarce though and still unreasonably expensive.
Back to top
View user's profile Send private message MSN Messenger 
willem1940NLD

Joined: 06 Jul 2010
Posts: 205
Location: Sittard, Limburg, The Netherlands

PostPosted: Mon 09 Jan 2012, 07:36    Post subject:  

Started lupu 525 CD and immediately installed one of the lower 2+ versions Seamonkey as offered (not the beta of course).

As usual, I installed addon XMarks; not the usual dialogue, so I opened it by hand and made the settings. No result, no bookmarks retrieved.

Reboot without saving.

Used Dillo to go to NLUUG and found there newer/higher versions Seamonkey marked for puppy 525.

Picked Seamonkey 2.4 and installed addon XMarks which now worked and I then disabled since I have bad experience with alive addons.

Installed 525 on USB stick and rebooted:
- install flashplayer dead
- quickpet partly paralyzed, a.o cannot reach "more pets" and "news"
- many sudden Seamonkey crashes, self-recovering in restart.
====

Maybe I need a browser outside the Mozilla family.

Note: I keep using XMarks since "Sync" seems a bad joke to me; endless dialogues and never got a bookmark retrieved, I deleted my account.
Back to top
View user's profile Send private message MSN Messenger 
rokytnji


Joined: 20 Jan 2009
Posts: 1312
Location: Pecos/ Texas

PostPosted: Mon 09 Jan 2012, 11:16    Post subject:  Firefox 9.0.1 and Seamonkey 2.6.1
Subject description: LightHouse 503 Frugal internal Hardrive Install
 

I got tired of trying to get Opera to pick up symlinked libflashplayer.so in /usr/lib/mozilla/pluglins folder. Opera came stock in install in Lighthouse 503. I'm using Flash 11. Opera picked up all my other plugins. Flash player seemed invisible to it /though. And yes. I included symlink paths from /user/lib/opera/plugins and /usr/lib/adobeflashplayer>(where the symlinks pointed to)

So I downloaded SeaMonkey 2.6.1.tar.bz2 and Firefox 9.0.1.tarbz2 using Opera first

So did a .

Code:
locate opera


To get a list of all the installed Opera files and proceeded to delete all opera files in Lighthouse. Also removed Opera Launcher from Menu and Wbar.

Next extracted SeaMonkey and Firefox and put them in /opt. Next made a symlink for SeaMonkey and Firefox in /usr/local/bin pointing them to /opt/firefox/firefox and /opt/seamonkey/seamonkey.

Next made new Icon launchers for wbar using the symlinks I made in /usr/local/bin as launcher paths. Icons are from /usr/share/pixmaps.

All my plugins are now picked up in both browsers. No crashes or problems yet.
Flash and Java and Mplayer and all the other plugins work OK. Checked Help menu Updater Mechanism. Seems OK also.
Back to top
View user's profile Send private message Visit poster's website 
willem1940NLD

Joined: 06 Jul 2010
Posts: 205
Location: Sittard, Limburg, The Netherlands

PostPosted: Mon 09 Jan 2012, 11:42    Post subject:  

Just tried again a clean install 525 with Opera .... 3 times ..... Opera crashes at every closing.

Not much fun today.
Back to top
View user's profile Send private message MSN Messenger 
willem1940NLD

Joined: 06 Jul 2010
Posts: 205
Location: Sittard, Limburg, The Netherlands

PostPosted: Mon 09 Jan 2012, 13:19    Post subject:  

All is well that ends well .... I forgot all the time to look in quickpet column "Internet" where old Firefox4 still is listed.

525 reasonably stable again now and I intend to stick to FF4 till I am sure something better is ready.
Back to top
View user's profile Send private message MSN Messenger 
RetroTechGuy


Joined: 15 Dec 2009
Posts: 2668
Location: USA

PostPosted: Mon 09 Jan 2012, 14:08    Post subject:  

willem1940NLD wrote:
All is well that ends well .... I forgot all the time to look in quickpet column "Internet" where old Firefox4 still is listed.

525 reasonably stable again now and I intend to stick to FF4 till I am sure something better is ready.


Tman has a .sfs of FF9 (which should allow you to mount it, try it, and umount it if it doesn't work):
http://www.murga-linux.com/puppy/viewtopic.php?t=72177

Playdayz has rebuilt/repaired FF9 (Firefox-9.0.1-2-Lucid.pet):
http://www.murga-linux.com/puppy/viewtopic.php?p=594178#594178
http://distro.ibiblio.org/pub/linux/distributions/puppylinux/pet-packages-lucid/

This is suppose to fix the problem that Firefox would not use its own libraries (and eliminated the symlinking we had been doing, which can cause other problems).

Obviously, I would back up your lupusave before trying this (I try to always have a fresh backup before installing new software). I always have 3 or 4 lupusaves laying around all the time (often in addition to my backups).

I put some version of FF9 on my 5.25 install, and it seemed to work.

I need to rebuild this 5.28 install (and upgrade to 5.28.004) since I mucked with symlinks and such to fix the system -- I'm going to try a fresh install, and then try Playdayz FF9...

BTW, a 995MHz with 1GB RAM shouldn't be too bad. I have a 900MHz Netbook that runs 5.20 without problem (going to try 5.28 eventually).

One thing I've seen is that Firefox will eat a lot of RAM, so you might want a largish swap partition or file (on my 2 1GB RAM system, I run 1.17 GB swap, just larger than my RAM -- I'm running no swap on the 1GB netbook, since it's all flash memory).

_________________
Add swapfile
Back to top
View user's profile Send private message 
RetroTechGuy


Joined: 15 Dec 2009
Posts: 2668
Location: USA

PostPosted: Mon 09 Jan 2012, 14:12    Post subject:  

willem1940NLD wrote:
Started lupu 525 CD and immediately installed one of the lower 2+ versions Seamonkey as offered (not the beta of course).

As usual, I installed addon XMarks; not the usual dialogue, so I opened it by hand and made the settings. No result, no bookmarks retrieved.

Reboot without saving.

Used Dillo to go to NLUUG and found there newer/higher versions Seamonkey marked for puppy 525.

Picked Seamonkey 2.4 and installed addon XMarks which now worked and I then disabled since I have bad experience with alive addons.

Installed 525 on USB stick and rebooted:
- install flashplayer dead
- quickpet partly paralyzed, a.o cannot reach "more pets" and "news"
- many sudden Seamonkey crashes, self-recovering in restart.
====

Maybe I need a browser outside the Mozilla family.

Note: I keep using XMarks since "Sync" seems a bad joke to me; endless dialogues and never got a bookmark retrieved, I deleted my account.


What would be interesting to try...

When your system does this, open the terminal and enter

Code:
free


(this will report free memory) -- I wonder if you're becoming memory-bound, and something isn't releasing the memory (when you run out of memory, things get sluggish -- some of the Gurus here whipped up a script to flush the RAM when that happens).

If desired, I'll post my script to flush these buffers.

_________________
Add swapfile
Back to top
View user's profile Send private message 
willem1940NLD

Joined: 06 Jul 2010
Posts: 205
Location: Sittard, Limburg, The Netherlands

PostPosted: Mon 09 Jan 2012, 14:40    Post subject:  

I will read further messages quite interestedly .... till I think something newer than FF4 is trustworthy.

Wink
Back to top
View user's profile Send private message MSN Messenger 
willem1940NLD

Joined: 06 Jul 2010
Posts: 205
Location: Sittard, Limburg, The Netherlands

PostPosted: Wed 11 Jan 2012, 11:34    Post subject:  

Firefox 4, after a few sessions and reboots:

- install flashplayer pet is in menu, but dead
- Firefox crashes every time I close it.
Back to top
View user's profile Send private message MSN Messenger 
RetroTechGuy


Joined: 15 Dec 2009
Posts: 2668
Location: USA

PostPosted: Wed 11 Jan 2012, 12:06    Post subject:  

willem1940NLD wrote:
Firefox 4, after a few sessions and reboots:

- install flashplayer pet is in menu, but dead
- Firefox crashes every time I close it.


Interesting...

This is 5.25, right?

How are you running your system? Lin'N'Win or otherwise installed? Boot from flash? Or boot from CD, reading save file on HDD?

I wonder if your lupusave is becoming corrupted.

If booting the CD, when offered a command line, enter "puppy pfix=fsck"

If you have it installed or running from flash, we can patch your boot sequence to automatically "fsck" the lupusave on every boot (I've been doing this since 4.3.1).

_________________
Add swapfile
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 3 of 5 [67 Posts]   Goto page: Previous 1, 2, 3, 4, 5 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » House Training » Beginners Help ( Start Here)
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0975s ][ Queries: 12 (0.0116s) ][ GZIP on ]